Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.x509
Class V1TBSCertificateGenerator

    java.lang.Object
      org.bouncycastle.asn1.x509.V1TBSCertificateGenerator

    public class V1TBSCertificateGenerator

extends java.lang.Object

Generator for Version 1 TBSCertificateStructures.

     TBSCertificate ::= SEQUENCE {
          version          [ 0 ]  Version DEFAULT v1(0),
          serialNumber            CertificateSerialNumber,
          signature               AlgorithmIdentifier,
          issuer                  Name,
          validity                Validity,
          subject                 Name,
          subjectPublicKeyInfo    SubjectPublicKeyInfo,
          }

Constructor Summary
`V1TBSCertificateGenerator()`

Method Summary
`TBSCertificateStructure` `generateTBSCertificate()`
`void` `setEndDate(DERUTCTime endDate)`
`void` `setEndDate(Time endDate)`
`void` `setIssuer(X509Name issuer)`
`void` `setSerialNumber(DERInteger serialNumber)`
`void` `setSignature(AlgorithmIdentifier signature)`
`void` `setStartDate(DERUTCTime startDate)`
`void` `setStartDate(Time startDate)`
`void` `setSubject(X509Name subject)`
`void` `setSubjectPublicKeyInfo(SubjectPublicKeyInfo pubKeyInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### V1TBSCertificateGenerator

    public V1TBSCertificateGenerator()

Method Detail

### setSerialNumber

    public void setSerialNumber(DERInteger serialNumber)

### setSignature

    public void setSignature(AlgorithmIdentifier signature)

### setIssuer

    public void setIssuer(X509Name issuer)

### setStartDate

    public void setStartDate(Time startDate)

### setStartDate

    public void setStartDate(DERUTCTime startDate)

### setEndDate

    public void setEndDate(Time endDate)

### setEndDate

    public void setEndDate(DERUTCTime endDate)

### setSubject

    public void setSubject(X509Name subject)

### setSubjectPublicKeyInfo

    public void setSubjectPublicKeyInfo(SubjectPublicKeyInfo pubKeyInfo)

### generateTBSCertificate

    public TBSCertificateStructure generateTBSCertificate()

Bouncy Castle Cryptography Library 1.45